Index: general.ent
===================================================================
--- general.ent	(revision 16998db6e70bf6c3f266f3af0bdb0adb88c5ffb1)
+++ general.ent	(revision 48b72950fe88fbb42d4bd61a7009a37696f2b2b1)
@@ -269,8 +269,38 @@
 <!-- Part XII -->
 <!-- Chapter 37 --> 
-
-
+<!ENTITY alsa-version                 "1.0.4"> 
+<!ENTITY alsa-driver-version          "&alsa-version;">    
+<!ENTITY alsa-lib-version             "&alsa-version;"> 
+<!ENTITY alsa-utils-version           "&alsa-version;">  
+<!ENTITY alsa-tools-version           "&alsa-version;">  
+<!ENTITY alsa-firmware-version        "&alsa-version;">  
+<!ENTITY alsa-oss-version             "&alsa-version;">  
+<!ENTITY alsa-download-http           "http://www.alsa-project.org/alsa/ftp">
+<!ENTITY alsa-download-ftp            "ftp://ftp.alsa-project.org/pub"> 
+
+<!ENTITY audiofile-version            "0.2.6"> 
+<!ENTITY esound-version               "0.2.34">   
+<!ENTITY SDL-version                  "1.2.7">      
+<!ENTITY libao-version                "0.8.5">   
+<!ENTITY libogg-version               "1.1">   
+<!ENTITY libvorbis-version            "1.0.1"> 
+<!ENTITY nas-version                  "1.6">  
+<!ENTITY libmpeg3-version             "1.5.4">   
+<!ENTITY libmad-version               "0.15.1b"> 
+<!ENTITY openquicktime-version        "1.0">  
+<!ENTITY libfame-version              "0.9.1">     
+<!ENTITY speex-version                "1.0.3">  
+<!ENTITY id3lib-version               "3.8.3">  
+<!ENTITY flac-version                 "1.1.0">  
+<!ENTITY libdvdcss-version            "1.2.8">  
+<!ENTITY libdvdread-version           "0.9.4"> 
+<!ENTITY libdv-version                "0.101"> 
+<!ENTITY liba52-version               "0.7.4">    
+<!ENTITY xvid-version                 "1.0.0-rc4">  
+<!ENTITY xine-lib-version             "1-rc3a">  
+<!ENTITY libmikmod-version            "3.1.10"> 
 
 <!-- Chapter 38 --> 
+
 <!-- Chapter 39 --> 
 <!-- Chapter 40 -->
